Subject: Re: Kernel Math Emulation again

From: Dan Malek <[email-masked]>
Date: Sun, 05 Dec 1999 20:31:46 -0500

Peter Brown wrote:

> Has anyone tried writing a driver for the MPC860 CPM DSP?

The actual interface isn't any different than other devices.
Just allocate some buffer descriptors and go for it.

> .....  The Motorola FAQ
> says that it can perform an 8x8 pixel Discrete Cosine Transform in 30uS (@
> 25Mhz clock speed).

Yes, and Motorola has a version of this for selected customers.

> ....  The MPC823 has a DSP coprocessor in it as well.  The
> MPC860 DSP library is targeted for modem processing but could be used for
> other purposes.

Motorola also has a version of the soft modem.  I don't know
the status of that.

Just to clarify this a little.  The CPM has a MAC (multiply-accumulate)
piece of hardware available.  The 'DSP' is a few functions written
in CPM microcode that use the MAC to provide DSP-like features.
There is no DSP in the processor.  The soft modem is CPM
microcode that uses the MAC and some of the DSP functions internally.

Writing CPM microcode is not available to anyone for general
purpose use.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/